Bugz

Jul. 11th, 2017 12:20 pm
izard: (Default)
[personal profile] izard
The worst kind of bugs - 3rd party libs dependencies..
On a fresh Fedora 26 install on one of my test servers, one of the tools I needed wanted to install some gtk and gdk dev libs.
# yum install ...
"you are about to install a ton of deps, tolal 100Mb" Y/n
Y
"done"
A tool works.
Now I need to install a kernel src package:
# yum install ...
File "/bin/yum", line 57, in
from dnf.yum import main
...
ImportError: /usr/lib64/python3.6/site-packages/rpm/_rpm.cpython-36m-x86_64-linux-gnu.so: undefined symbol: PySlice_AdjustIndices
Previous installs broke yum!

Very cool: I can't even google PySlice_AdjustIndices, and PySlice library simply does not have AdjustIndice method in 3.6.0, only SetIndices...

Of course I don't care to debug deeper (or file bugs with Fedora), it is just easier to re-install.
From:
Anonymous( )Anonymous This account has disabled anonymous posting.
OpenID( )OpenID You can comment on this post while signed in with an account from many other sites, once you have confirmed your email address. Sign in using OpenID.
User
Account name:
Password:
If you don't have an account you can create one now.
Subject:
HTML doesn't work in the subject.

Message:

 
Notice: This account is set to log the IP addresses of everyone who comments.
Links will be displayed as unclickable URLs to help prevent spam.

Profile

izard: (Default)
izard

July 2017

S M T W T F S
      1
2345 678
910 11 12131415
16 171819202122
23 242526272829
3031     

Most Popular Tags

Style Credit

Expand Cut Tags

No cut tags
Page generated Jul. 25th, 2017 12:31 am
Powered by Dreamwidth Studios